Clears the lockedBy and locked_at_timestampin the DRAFT version of this integration. It then performs the same action as the CreateDraftIntegrationVersion (i.e., copies the DRAFT version of the integration as a SNAPSHOT and then creates a new DRAFT version with the lockedBy set to the user_taking_over and the locked_at_timestamp set to the current timestamp). Both the lockedBy and user_taking_over are notified via email about the takeover. This RPC throws an exception if the integration is not in DRAFT status or if the lockedBy and locked_at_timestamp fields are not set.The TakeoverEdit lock is treated the same as an edit of the integration, and hence shares ACLs with edit. Audit fields updated include lastModifiedTimestamp, last_modified_by.
HTTP request
POST https://integrations.googleapis.com/v1/{integrationVersion=projects/*/locations/*/products/*/integrations/*/versions/*}:takeoverEditLock
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
integrationVersion |
Required. The version to take over edit lock. Format: projects/{project}/locations/{location}/integrations/{integration}/versions/{version} |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
Response for versions.takeoverEditLock.
| JSON representation |
|---|
{
"integrationVersion": {
object ( |
| Fields | |
|---|---|
integrationVersion |
Version after the lock is acquired by the new user. |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires one of the following IAM permissions on the integrationVersion resource, depending on the resource type:
integrations.apigeeIntegrationVers.updateintegrations.integrationVersions.update
For more information, see the IAM documentation.